void low_init(void);
void *low_malloc(int size, char *src, int line);
void low_free(void *p, char *src, int line);
void *low_realloc(void *p,int size, char *src, int line);
void low_check(char *whence);
void low_set_abort(void (*fn)(int x));
void *low_strdup(const char *str,  char *src, int line);
void *low_calloc(int num, int size,  char *src, int line);
int low_tot(void);
#ifndef LOW_MAIN
#define malloc(size) low_malloc(size,__FILE__,__LINE__)
#define free(ptr) low_free(ptr,__FILE__,__LINE__)
#define realloc(ptr,size) low_realloc(ptr,size,__FILE__,__LINE__)
#define calloc(n,size) low_calloc(n,size,__FILE__,__LINE__)
#define strdup(str) low_strdup(str,__FILE__,__LINE__)
#endif 